#!/bin/bash

  OUTPUTDIR=o
  TMPTEX=`date +%s`.tex; TMPDIR=tmp; rm $TMPDIR/*.* ;  

  INPUT=input.tex

  echo "\documentclass[8pt,cleardoubleempty]{scrbook}"  >  $TMPTEX
  echo "\usepackage{i/sty/A5}"                          >> $TMPTEX
  echo "\usepackage{i/sty/111110}"                      >> $TMPTEX
  echo "\setlength\textheight{170mm}"                   >> $TMPTEX
  echo "\setlength\topmargin{-17mm}"                    >> $TMPTEX
  echo "\setlength\oddsidemargin{5mm}"                  >> $TMPTEX
  echo "\parindent=0pt"                                 >> $TMPTEX
  echo "\pagestyle{plain}"                              >> $TMPTEX

#  ===============================================================  #
   echo "\begin{document}"                              >> $TMPTEX

    echo "\input{"$INPUT"}"                             >> $TMPTEX

   echo "\end{document}"                                >> $TMPTEX
#  ===============================================================  #

  pdflatex -output-directory $OUTPUTDIR $TMPTEX 

  rm $TMPTEX

exit 0;